Engine Yard Blog RSS Feed

- ruby 1.9.2

Ruby 19

Happy Monday news! To all our beloved Engine Yard AppCloud and xCloud customers, Ruby 1.9.2 is now generally available and covered under all support levels.

More than that, we want you to use it. We highly recommend you consider upgrading from Ruby 1.8.6, 1.8.7 or REE to Ruby 1.9.2.

Make it your project this week to test your application locally and in staging on AppCloud with Ruby 1.9.2!

How to upgrade to Ruby 1.9.2

There are step-by-step instructions for testing a staging environment with Ruby 1.9.2 and for finally upgrading your production environment to Ruby 1.9.2.

We strongly recommend you test your application and environment with Ruby 1.9.2 in a staging environment first before upgrading your production environment. If you don't have a staging environment, you can quickly create a temporary one for this project. See the instructions linked above.

The future of Ruby on AppCloud

We're very excited about Ruby 1.9.2 as the future of the MRI series of Rubies. Our particular build of MRI Ruby 1.9.2 includes customizable GC extensions. Either talk to a Support person about your particular use case, or stay tuned for future blog posts on how to tune your Ruby 1.9.2 GC.

Rubinius in Alpha

Once you've learnt how to trial and upgrade an alternate Ruby, if you have time remaining this week, I recommend requesting access to the Rubinius feature on AppCloud. We'll try to turn around requests for Rubinius today as soon as possible as a special treat to you!


Tagged:

comments powered by Disqus